Loading...
Searching...
No Matches
uhd::rfnoc::tx_event_action_info Struct Reference

`#include <uhd/rfnoc/actions.hpp>`

Inheritance diagram for uhd::rfnoc::tx_event_action_info:
[legend]
Collaboration diagram for uhd::rfnoc::tx_event_action_info:
[legend]

## Public Types

using | sptr = std::shared_ptr<tx_event_action_info>
Public Types inherited from uhd::rfnoc::action_info
using | sptr = std::shared_ptr<action_info>

## Static Public Member Functions

static sptr | make (uhd::async_metadata_t::event_code_t event_code, const boost::optional< uint64_t > &tsf)
| Factory function.
Static Public Member Functions inherited from uhd::rfnoc::action_info
static sptr | make (const std::string &key="", const uhd::device_addr_t &args=uhd::device_addr_t(""))
| Factory function.

## Public Attributes

uhd::async_metadata_t::event_code_t | event_code
| The event code that describes the event.
bool | has_tsf
| Has time specification?
uint64_t | tsf
| When the async event occurred.
Public Attributes inherited from uhd::rfnoc::action_info
const size_t | id
| A unique counter for this action.
std::string | key
| A string identifier for this action.
std::vector< uint8_t > | payload
| An arbitrary payload. It is up to consumers and producers to.
uhd::device_addr_t | args
| A dictionary of key-value pairs. May be used as desired.

## Protected Member Functions

| tx_event_action_info (uhd::async_metadata_t::event_code_t event_code, const boost::optional< uint64_t > &tsf)
Protected Member Functions inherited from uhd::rfnoc::action_info
| action_info (const std::string &key, const uhd::device_addr_t &args=uhd::device_addr_t(""))

## Additional Inherited Members

Public Member Functions inherited from uhd::rfnoc::action_info
virtual | ~action_info ()

## Member Typedef Documentation

## sptr

using uhd::rfnoc::tx_event_action_info::sptr = std::shared_ptr<tx_event_action_info>

## Constructor & Destructor Documentation

## tx_event_action_info()

uhd::rfnoc::tx_event_action_info::tx_event_action_info | ( | uhd::async_metadata_t::event_code_t | event_code,
|  | const boost::optional< uint64_t > & | tsf )

protected

## Member Function Documentation

## make()

sptr uhd::rfnoc::tx_event_action_info::make | ( | uhd::async_metadata_t::event_code_t | event_code,
|  | const boost::optional< uint64_t > & | tsf )

static

Factory function.

## Member Data Documentation

## event_code

uhd::async_metadata_t::event_code_t uhd::rfnoc::tx_event_action_info::event_code

The event code that describes the event.

## has_tsf

bool uhd::rfnoc::tx_event_action_info::has_tsf

Has time specification?

## tsf

uint64_t uhd::rfnoc::tx_event_action_info::tsf

When the async event occurred.

The documentation for this struct was generated from the following file:

- actions.hpp